The BOOST_PP_ARRAY_ENUM macro converts an array to its comma-separated elements. The comma-separated elements are in the form of variadic data.

#### Usage

BOOST_PP_ARRAY_ENUM(array)

#### Arguments

array
  The array whose elements are to be converted.

#### Remarks

This macro expands to a comma-separated list of the elements in array. For example, BOOST_PP_ARRAY_ENUM((3,(x,y,z))) expands to...
x, y, z

In C++ 20 mode if the array is empty the resulting variadic data will be empty.

####

#### Requirements

Header: <boost/preprocessor/array/enum.hpp>

#### Sample Code

    #include <boost/preprocessor/array/enum.hpp>

    #define ARRAY (5,(B,O,O,S,T))

    BOOST_PP_ARRAY_ENUM(ARRAY) // expands to B, O, O, S, T

© Copyright Edward Diener 2011

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)